Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.engine
Class ProjectionLoader

    java.lang.Object
      org.hibernate.search.engine.ProjectionLoader

All Implemented Interfaces:
  Loader

    public class ProjectionLoader

extends java.lang.Object
implements Loader

Implementation of the `Loader` interface used for loading entities which are projected via `ProjectionConstants.THIS`.

Author:
  Emmanuel Bernard, Hardy Ferentschik

Constructor Summary
`ProjectionLoader()`

Method Summary
`void` | `init(org.hibernate.Session session, SearchFactoryImplementor searchFactoryImplementor)`
`void` | `init(org.hibernate.Session session, SearchFactoryImplementor searchFactoryImplementor, org.hibernate.transform.ResultTransformer transformer, java.lang.String[] aliases)`
`java.util.List` | `load(EntityInfo... entityInfos)`
`java.lang.Object` | `load(EntityInfo entityInfo)`
`void` | `setEntityTypes(java.util.Set<java.lang.Class<?>> entityTypes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectionLoader

    public ProjectionLoader()

Method Detail

### init

    public void init(org.hibernate.Session session,
                     SearchFactoryImplementor searchFactoryImplementor)

  Specified by:
    `init` in interface `Loader`

### init

    public void init(org.hibernate.Session session,
                     SearchFactoryImplementor searchFactoryImplementor,
                     org.hibernate.transform.ResultTransformer transformer,
                     java.lang.String[] aliases)

### setEntityTypes

    public void setEntityTypes(java.util.Set<java.lang.Class<?>> entityTypes)

### load

    public java.lang.Object load(EntityInfo entityInfo)

  Specified by:
    `load` in interface `Loader`

### load

    public java.util.List load(EntityInfo... entityInfos)

  Specified by:
    `load` in interface `Loader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.